using System;
using Server;

namespace Server.Items
{
	public class CandleMedium : BaseLight
	{
		public override int LitItemID{ get { return 0x1434; } }
		public override int UnlitItemID{ get { return 0x1437; } }

		[Constructable]
		public CandleMedium() : base( 0x1437 )
		{
			Duration = TimeSpan.Zero;
			Burning = false;
			Light = LightType.Circle150;
			Weight = 1.0;
		}

		public CandleMedium( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}